# BEGIN SourceDeps(oneline):
BuildRequires(pre): perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Template/Exception.pm) perl(Template/Plugin.pm) perl(Template/Test.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Template-Plugin-YUI2-Loader
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: dependency management with YUI's loader util 
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AL/ALEXK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This module aims to ease the use of YUI's loader utility by providing means to collect the names of the YUI2 components to be loaded and the code to be run once those components have been successfully loaded anywhere in a nested template structure.

  # in a template A.tt :
  
  ...
  [%% USE loader = YUI2.Loader;
     CALL loader.components( 'calendar', 'dragdrop' ).on_success( some_js_code ); 
  %%]
  ...

  # in a template wrapper.tt :
  
  <head>
  ...
  </head>
  <body>
  ...

  [%% # presumably quite late in the body insert the loader
     USE loader = YUI2.Loader; 
  %%]
  
  <script src="http://yui.yahooapis.com/2.8.0r4/build/yuiloader/yuiloader-min.js"></script>
  <script type="text/javascript">
_var loader = 
_new YAHOO.util.YUILoader({
_    _require: [%% loader.components %%],
    __onSuccess: function() {
___[%% loader.on_success %%]
    __}
_});
_loader.insert();
  <script>
  </body>

  # in a template B.tt :

  [%% WRAPPER wrapper.tt %%]
     _...
_[%% INCLUDE A.tt;
_   USE loader = YUI2.Loader;
     _   CALL loader.components( 'cookie' ).on_success( some_js_code );
_%%]
_...
  [%% END %%]


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/T*

%changelog
* Fri May 02 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

